Python (SDK)
from meibelai import Meibelai
import os
with Meibelai(
api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:
res = m_client.blueprints.executions.start_blueprint_instance(blueprint_instance_id="<id>", workflow_args=None, workflow_kwargs={
"key": "<value>",
"key1": "<value>",
"key2": "<value>",
}, enable_streaming=True)
# Handle response
print(res)curl --request POST \
--url https://api.meibel.ai/v1/{blueprint_instance_id}/start-instance \
--header 'Content-Type: application/json' \
--header 'Meibel-API-Key: <api-key>' \
--data '
{
"workflow_args": [
"<unknown>"
],
"workflow_kwargs": {},
"enable_streaming": true
}
'const options = {
method: 'POST',
headers: {'Meibel-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_args: ['<unknown>'], workflow_kwargs: {}, enable_streaming: true})
};
fetch('https://api.meibel.ai/v1/{blueprint_instance_id}/start-instance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}blueprints.executions
Start Blueprint Instance
POST
/
{blueprint_instance_id}
/
start-instance
Python (SDK)
from meibelai import Meibelai
import os
with Meibelai(
api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:
res = m_client.blueprints.executions.start_blueprint_instance(blueprint_instance_id="<id>", workflow_args=None, workflow_kwargs={
"key": "<value>",
"key1": "<value>",
"key2": "<value>",
}, enable_streaming=True)
# Handle response
print(res)Authorizations
Path Parameters
Unique identifier for the workflow instance
Body
application/json
StartBlueprintInstanceRequest
Response
Successful Response
Was this page helpful?
⌘I